bug#44729: 27.1; Updating imagemagick via homebrew breaks emacs with imagemagick support

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

bug#44729: 27.1; Updating imagemagick via homebrew breaks emacs with imagemagick support

Alan Third
On Wed, Nov 18, 2020 at 10:18:03PM +0000, Jaydon Hansen wrote:
>
>
> With imagemagick support, emacs will try to find
> libMagickWand-7.Q16HDRI.7.dylib and libMagickCore-7.Q16HDRI.7.dylib at
> startup, however a recent imagemagick upgrade on Homebrew changed these to *.8.dylib
> instead. Symlinking them fixes this issue however if you brew upgrade it
> removes the symlinks again. Because of this emacs doesn't start because
> it can't find the shared objects.

Have you tried rebuilding Emacs?
--
Alan Third